Subject: Re: [OPSAWG] review of draft-ietf-opsawg-capwap-extension-01

From: Liu Dapeng <[email-masked]>
Date: Mon, 4 Nov 2013 14:31:56 +0800

Hi Dan,

Thanks for your comments.

2013/10/30 Romascanu, Dan (Dan) <[email-masked]>

> Hi,
>
> I have read draft-ietf-opsawg-capwap-extension-01. I am no expert in IEEE
> 802.11 technology, so I cannot confirm the accuracy of the .11-related
> information in this I-D. It looks like straight forward and consistent
> work, but it needs review from the IEEE experts as long as several
> editorial improvements.
>
>
IEEE experts have reviewed the draft during the September IEEE 802 wireless
interim meeting. The 01 version draft has been updated according to the
comments received.

> Here are my comments (mostly editorial, but important to make the document
> readable and usable):
>
> 1. The document obviously updated RFC 5416. This needs to be mentioned in
> the Header. Moreover, there must be some information about the migration or
> coexistence from a previous CAPWAP environment that did not support IEEE
> 802.11n and a new environment that supports .11n and the CAPWAP extensions
> defined in this document
>

The coexistence mechanism could be simple: just ignore the message if not
supported.

> 2. The document needs a section of abbreviations - expand and explain if
> necessary what OFDM, MIMO, etc. mean
>
OK

> 3. There is a need of cleaning the English syntax - preferable by a native
> English speaker.
>
OK, we will clean the text and find a native speaker to review.

> 4. Keywords need to be used in a manner that is consistent and conforms to
> RFC 2119. For example the 'may' in the first paragraph of Section 4.2, or
> in the first paragraph of section 4.3 need to be capitalized.
>
OK

> 5. Some of the fields need to have the units for the parameters added -
> e.g. MaxRxFactor, Min StaSpacing, HiSuppDataRate
> 6. In Section 5.3 I could not understand what 'Report Count: The channel
> number will be reported' - is it a number or a count?
>
 It is a count.

Since this draft has been reviewed by IEEE experts and only editorial
comments left, the authors believe it is ready for WGLC.

Regards,
Dapeng Liu

Thanks and Regards,
>
> Dan
>
>
>
>
>
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg
>

-- 

------
Best Regards,
Dapeng Liu

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 4 Nov 2013 13:52:03 +0000

Thank you for your answers. I agree that the document is ready for WGLC. As we seem to agree on the need for edits, please consider addressing my comments for the next version of the document  (including clarification text for items #1 and #6).

Regards,

Dan

From: Liu Dapeng [mailto:[email-masked]]
Sent: Monday, November 04, 2013 8:32 AM
To: Romascanu, Dan (Dan)
Cc: [email-masked]
Subject: Re: [OPSAWG] review of draft-ietf-opsawg-capwap-extension-01

Hi Dan,

2013/10/30 Romascanu, Dan (Dan) <[email-masked]<mailto:[email-masked]>>
Hi,

I have read draft-ietf-opsawg-capwap-extension-01. I am no expert in IEEE 802.11 technology, so I cannot confirm the accuracy of the .11-related information in this I-D. It looks like straight forward and consistent work, but it needs review from the IEEE experts as long as several editorial improvements.

IEEE experts have reviewed the draft during the September IEEE 802 wireless interim meeting. The 01 version draft has been updated according to the comments received.

Here are my comments (mostly editorial, but important to make the document readable and usable):

1. The document obviously updated RFC 5416. This needs to be mentioned in the Header. Moreover, there must be some information about the migration or coexistence from a previous CAPWAP environment that did not support IEEE 802.11n and a new environment that supports .11n and the CAPWAP extensions defined in this document

The coexistence mechanism could be simple: just ignore the message if not supported.

2. The document needs a section of abbreviations - expand and explain if necessary what OFDM, MIMO, etc. mean
OK
3. There is a need of cleaning the English syntax - preferable by a native English speaker.
OK, we will clean the text and find a native speaker to review.
4. Keywords need to be used in a manner that is consistent and conforms to RFC 2119. For example the 'may' in the first paragraph of Section 4.2, or in the first paragraph of section 4.3 need to be capitalized.
OK
5. Some of the fields need to have the units for the parameters added - e.g. MaxRxFactor, Min StaSpacing, HiSuppDataRate
6. In Section 5.3 I could not understand what 'Report Count: The channel number will be reported' - is it a number or a count?
 It is a count.

Since this draft has been reviewed by IEEE experts and only editorial comments left, the authors believe it is ready for WGLC.

Regards,
Dapeng Liu

Thanks and Regards,

Dan

_______________________________________________
OPSAWG mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/opsawg

--

------
Best Regards,
Dapeng Liu

---

From: Liu Dapeng <[email-masked]>
Date: Tue, 5 Nov 2013 02:22:28 +0800

Hi Dan,

Thank you for your kind review and valuable comments. We will address all
your comments in the next version and will improve the writing as well.
  Tom Taylor has volunteered to do the editorial review and that would be
very helpful to improve the quality of the draft. Many thanks to Tom.

Thanks,
Dapeng Liu
2013/11/4 Romascanu, Dan (Dan) <[email-masked]>

>  Thank you for your answers. I agree that the document is ready for WGLC.
> As we seem to agree on the need for edits, please consider addressing my
> comments for the next version of the document  (including clarification
> text for items #1 and #6).
>
>
>
> Regards,
>
>
>
> Dan
>
>
>
>
>
>
>
> *From:* Liu Dapeng [mailto:[email-masked]]
> *Sent:* Monday, November 04, 2013 8:32 AM
> *To:* Romascanu, Dan (Dan)
> *Cc:* [email-masked]
> *Subject:* Re: [OPSAWG] review of draft-ietf-opsawg-capwap-extension-01
>
>
>
> Hi Dan,
>
>
>
> IEEE experts have reviewed the draft during the September IEEE 802
> wireless interim meeting. The 01 version draft has been updated according
> to the comments received.
>
>
>

-- 

------
Best Regards,
Dapeng Liu

---

From: Tom Taylor <[email-masked]>
Date: Tue, 05 Nov 2013 05:54:13 -0500

I'm doing the editorial review I promised, but I'm having a little 
problem with Section 4.1 (which may also apply to other sections as I 
move forward). Section 4.1 says at first that it is defining a new 
802.11n Radio Capability information element. Then at the end of the 
paragraph, it says it is defining a new 802.11n Radio Capability message 
element.

I don't believe it is doing either one. Instead, it should simply say 
that this document specifies use of the IEEE 802.11 Information Element 
to transport the IEEE 802.11 HT information element.

Does this sound reasonable?

Tom

> very helpful to improve the quality of the draft. Many thanks to Tom.
...

---

From: Liu Dapeng <[email-masked]>
Date: Tue, 5 Nov 2013 10:50:06 -0800

2013/11/5 Tom Taylor <[email-masked]>

> I'm doing the editorial review I promised, but I'm having a little problem
> with Section 4.1 (which may also apply to other sections as I move
> forward). Section 4.1 says at first that it is defining a new 802.11n Radio
> Capability information element. Then at the end of the paragraph, it says
> it is defining a new 802.11n Radio Capability message element.
>
> I don't believe it is doing either one. Instead, it should simply say that
> this document specifies use of the IEEE 802.11 Information Element to
> transport the IEEE 802.11 HT information element.
>

Yes. Thanks.

Dapeng Liu

-- 

------
Best Regards,
Dapeng Liu